Skip to main content
POST
/
v1
/
completions
Create a completion
curl --request POST \
  --url https://alterhq.com/api/v1/completions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>",
  "prompt": "<string>",
  "max_tokens": 2,
  "temperature": 1,
  "top_p": 0.5,
  "n": 2,
  "stream": true,
  "stop": "<string>",
  "presence_penalty": 0,
  "frequency_penalty": 0,
  "logit_bias": {},
  "user": "<string>"
}
'
import requests

url = "https://alterhq.com/api/v1/completions"

payload = {
"model": "<string>",
"prompt": "<string>",
"max_tokens": 2,
"temperature": 1,
"top_p": 0.5,
"n": 2,
"stream": True,
"stop": "<string>",
"presence_penalty": 0,
"frequency_penalty": 0,
"logit_bias": {},
"user": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
prompt: '<string>',
max_tokens: 2,
temperature: 1,
top_p: 0.5,
n: 2,
stream: true,
stop: '<string>',
presence_penalty: 0,
frequency_penalty: 0,
logit_bias: {},
user: '<string>'
})
};

fetch('https://alterhq.com/api/v1/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "object": "<string>",
  "created": 123,
  "model": "<string>",
  "choices": [
    {
      "text": "<string>",
      "index": 123,
      "finish_reason": "<string>",
      "logprobs": {}
    }
  ],
  "usage": {
    "prompt_tokens": 123,
    "completion_tokens": 123,
    "total_tokens": 123
  }
}
{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}
{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer token issued by the Alter macOS app.

Body

application/json
model
string
required
prompt
required
max_tokens
integer
Required range: x >= 1
temperature
number
Required range: 0 <= x <= 2
top_p
number
Required range: 0 <= x <= 1
n
integer
Required range: x >= 1
stream
boolean
stop
presence_penalty
number
Required range: -2 <= x <= 2
frequency_penalty
number
Required range: -2 <= x <= 2
logit_bias
object
user
string

Response

The completion response or stream.

id
string
required
object
string
required
Allowed value: "text_completion"
created
integer
required
model
string
required
choices
object[]
required
usage
object